| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | Static Public Member Functions | List of all members
GlsMimicGroup Class Reference
Inheritance diagram for GlsMimicGroup:

## Public Member Functions
| GlsMimicGroup ()
| GlsMimicGroup (DisplayObjectArray *objs)
bool | MimicGroupActive (void)
void | MimicGroupActive (bool value)
Vector | BottomLeftCorner (void)
void | BottomLeftCorner (Vector &value)
Vector | TopRightCorner (void)
void | TopRightCorner (Vector &value)
bool | ShowOutline (void)
void | ShowOutline (bool value)
unsigned int | TextureWidth ()
void | TextureWidth (unsigned int textureWidth)
unsigned int | TextureHeight ()
void | TextureHeight (unsigned int textureHeight)
int | AttachedTextureIndex ()
void | AttachedTextureIndex (int textureIndex)
bool | GenerateMipMaps ()
void | GenerateMipMaps (bool generate)
bool | DrawMimicGroupPolygon ()
void | DrawMimicGroupPolygon (bool draw)
unsigned char | MimicGroupDepthTest ()
void | MimicGroupDepthTest (unsigned char depthTestSettings)
bool | HasDepthBuffer ()
void | HasDepthBuffer (bool hasDepthBuffer)
Public Member Functions inherited from Group
| Group ()
| Group (DisplayObjectArray *objs)
void | Ungroup ()
void | InsertObject (DisplayObject *obj, bool reparent=true, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION, bool renameName=false)
void | InsertObjectAllowDuplicateNames (DisplayObject *obj, bool reparent=true, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION)
void | MoveObjectToGroup (DisplayObject *obj, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION, bool renameName=false)
void | MoveObjectToGroupAllowDuplicateNames (DisplayObject *obj, bool recalculateBoundingbox=true, int loc=DEFAULT_GROUP_LOCATION)
void | ReorderObject (unsigned int oldIndex, unsigned int newIndex)
DisplayObjectArray * | GetObjectList ()
DisplayObject * | GetObjectByIndex (unsigned int index)
unsigned int | Count ()
void | CalculateTextureCoordinates (void)
void | SetGroupLocation (Vertex &v)
void | CalculateBoundingBox ()
unsigned int | GetCount ()
Public Member Functions inherited from DisplayObject
bool | isNULL ()
String | GetName ()
String | SetName (String name)
void | SetProtectionMode (DisplayObject::MemberAccess_e mode)
DisplayObject::MemberAccess_e | GetProtectionMode (void)
void | SetLocked (bool val)
bool | GetLocked (void)
bool | GetGenerateMemberVariable ()
void | SetGenerateMemberVariable (bool b)
bool | GetAntiAliasing ()
void | SetAntiAliasing (bool antiAliasing)
bool | GetBlinking ()
void | SetBlinking (bool blinking)
float | GetBlinkRate ()
void | SetBlinkRate (float rate)
int | GetAlphaMode ()
void | SetAlphaMode (int mode)
bool | GetCullBackFaces ()
void | SetCullBackFaces (bool cullFaces)
bool | GetZBufferTestedFlag ()
void | SetZBufferTestedFlag (bool tested)
bool | GetAffectZBufferFlag ()
void | SetAffectZBufferFlag (bool affect)
bool | GetLightingEnabledFlag ()
void | SetLightingEnabledFlag (bool enabled)
DisplayObject::PickableType_e | GetPickMode ()
void | SetPickMode (DisplayObject::PickableType_e mode)
bool | GetVisibilityFlag ()
void | SetVisibilityFlag (bool visible)
PolygonClose_e | GetClosePolygonFlag ()
void | SetClosePolygonFlag (PolygonClose_e closePolygon)
PolygonMode_e | GetPolygonMode ()
void | SetPolygonMode (PolygonMode_e polygonMode)
ShadingType_e | GetShadingMode ()
void | SetShadingMode (ShadingType_e shadingMode)
Vertex | GetLocation ()
void | SetLocation (Vertex loc)
Vertex | GetRotationPoint ()
void | SetRotationPoint (Vertex rotPoint)
GlsMatrixAffine * | GetDcsMatrix ()
void | SetDcsMatrix (GlsMatrixAffine *matrix)
int | GetMaterialIndex ()
void | SetMaterialIndex (int matIndex)
String | GetObjectClassName ()
int | GetTextureIndex ()
void | SetTextureIndex (int texIndex)
TextureMap_e | GetTextureMappingTechnique ()
void | SetTextureMappingTechnique (TextureMap_e mappingTechnique)
bool | GetTextureRepeat ()
void | SetTextureRepeat (bool repeat)
disti::GlsColor | GetBlendingColor ()
void | SetBlendingColor (GlsColor blendColor)
DisplayObject::TextureFilter_e | GetTextureMagnificationFilter ()
void | SetTextureMagnificationFilter (DisplayObject::TextureFilter_e filter)
DisplayObject::TextureFilter_e | GetTextureMinificationFilter ()
void | SetTextureMinificationFilter (DisplayObject::TextureFilter_e filter)
std::vector< Vector > | GetTextureCoordinates ()
void | SetTextureCoordinates (std::vector< Vector > &texVerts)
void | GetTextureCoordinates (VertexArray *texVerts)
void | SetTextureCoordinates (VertexArray &texVerts)
void | GetTexturePoints (VertexArray *texVerts)
void | SetTexturePoints (VertexArray &texVerts)
void | SetTexturePoints (std::vector< Vector > &texVerts)
std::vector< Vector > | GetTexturePoints ()
void | GetVertices (VertexArray *verts)
void | SetVertices (VertexArray &verts)
String | GetInitialization ()
void | SetInitialization (String initCode)
String | GetCallbackCode ()
void | SetCallbackCode (String cbCode)
DisplayObject * | DuplicateObject (Document *doc=NULL)
DisplayObject * | TessellateObject ()
DisplayObject * | ExtrudeObject (float amount)
void | RotateObject (float amount, RotationAxis_e axis)
void | TranslateObject (float x, float y, float z)
void | ScaleObject (float x, float y, float z, Vertex *anchor=NULL)
void | LineWidth (float width)
float | LineWidth ()
LineStyle_e | LineStyle ()
void | LineStyle (LineStyle_e style)
GlsColor | LineColor ()
void | LineColor (GlsColor color)
GlsColor | FillColor ()
void | FillColor (GlsColor color)
void | GetExtents (Vector &min, Vector &max)
bool | HasUserDefinedAttribute (String attribName)
std::map< String, String > | GetUserDefinedAttributes ()
UserDefinedValueAttributeList | GetAllUserDefinedAttributes ()
String | GetUserDefinedAttributeValue (String attribName)
| typemap (check) String attribName
void | SetUserDefinedAttributeValue (String attribName, String value)
DisplayObject * | GetParent ()
Document * | GetDocument ()
String | AlternateClassName ()
void | AlternateClassName (String name)
String | GetAlternateClassHeaderFile ()
void | SetAlternateClassHeaderFile (String name)
String | GetResources ()
String | GetRuntimeResources (bool recursive)
String | GetAttributeType (String attribName)
String | GetAttributeValueString (String attribName)
void | SetAttributeValueString (String attribName, String value)
unsigned int | RegisterObserver (String attribName, PyObject *pyfunc)
void | UnregisterObserver (String attribName, unsigned int id)
std::vector< Vector > | GetNormals ()
void | SetNormals (std::vector< Vector > &normals)
std::vector< CustomAttributeInfo > | GetExtraAttributes ()
DisplayObject * | CloneObject ()
void | CopyProperties (DisplayObject *sourceObj)
void | SetLocation (Vector loc)
GlsMatrixAffine | GetObjectCoordinatesTransform (DisplayObject *targetObject)
void | CalculateParentBoundingBox ()
void | SetOrigin (Vertex &vert)

## Static Public Member Functions
static GlsMimicGroup * | CastToGlsMimicGroup (DisplayObject *obj)
Static Public Member Functions inherited from Group
static Group * | CastToGroup (DisplayObject *obj)

## Additional Inherited Members
Public Types inherited from DisplayObject
enum | MemberAccess_e { PUBLIC , PRIVATE , PROTECTED }
enum | PickableType_e { UNPICKABLE , FIRST_PICK , BEST_PICK , ALWAYS_PICK }
enum | PolygonClose_e { POLY_OPEN , POLY_CLOSED }
enum | PolygonMode_e { POLY_MODE_UNDEFINED , POLY_MODE_POINTS , POLY_MODE_OUTLINE , POLY_MODE_FILLED , POLY_MODE_FILL_AND_OUTLINE }
enum | ShadingType_e { SHADING_FLAT , SHADING_GOURAUD }
enum | TextureMap_e { TEXTURE_MAP_MODULATE , TEXTURE_MAP_DECAL , TEXTURE_MAP_BLEND , TEXTURE_MAP_REPLACE }
enum | TextureFilter_e { TEXTURE_FILTER_NEAREST , TEXTURE_FILTER_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_NEAREST , TEXTURE_FILTER_LINEAR_MIPMAP_LINEAR , TEXTURE_FILTER_NEAREST_MIPMAP_LINEAR , TEXTURE_FILTER_LINEAR_MIPMAP_NEAREST }
enum | TessellateType_e { TESSELLATE_UNION , TESSELLATE_INTERSECT , TESSELLATE_DIFFERENCE }
enum | RotationAxis_e { X_AXIS , Y_AXIS , Z_AXIS }
enum | LineStyle_e { SOLID_LINE_STYLE , SMALL_DOTTED_LINE_STYLE , DOTTED_LINE_STYLE , DASHED_LINE_STYLE , DOT_DASHED_LINE_STYLE , SMALL_DASHED_LINE_STYLE }
enum | AlphaMode_e { ALPHA_MODE_UNDEFINED , ALPHA_MODE_OPAQUE , ALPHA_MODE_2_LEVEL , ALPHA_MODE_256_LEVEL }
Static Public Attributes inherited from Group
static int | DEFAULT_GROUP_LOCATION = -1
Static Public Attributes inherited from DisplayObject
static int | TEXTURE_INDEX_NONE = -1

## Detailed Description

Plug-in used to create MimicGroups in GL Studio.

## Constructor & Destructor Documentation

## ◆ GlsMimicGroup() [1/2]

GlsMimicGroup::GlsMimicGroup | ( |  | ) |

## ◆ GlsMimicGroup() [2/2]

GlsMimicGroup::GlsMimicGroup | ( | DisplayObjectArray * | objs | ) |

## Member Function Documentation

## ◆ AttachedTextureIndex() [1/2]

int GlsMimicGroup::AttachedTextureIndex | ( |  | ) |

Accessor for the GL Studio texture index the mimic will generate into.

Returns
  the GL Studio texture index to generate mimic into. If -1, then mimic will generate its own texture.

## ◆ AttachedTextureIndex() [2/2]

void GlsMimicGroup::AttachedTextureIndex | ( | int | textureIndex | ) |

Set the GL Studio texture index the mimic will generate into.

Parameters

  textureIndex | the GL Studio texture index to generate mimic into. If -1, then mimic will generate its own texture.

## ◆ BottomLeftCorner() [1/2]

void GlsMimicGroup::BottomLeftCorner | ( | Vector & | value | ) |

Sets new bottom left corner for the clip region.

Parameters

  value | The new bottom left corner coordinate

## ◆ BottomLeftCorner() [2/2]

Vector GlsMimicGroup::BottomLeftCorner | ( | void |  | ) |

Returns
  Gets bottom left corner of clip region

## ◆ CastToGlsMimicGroup()

static GlsMimicGroup * GlsMimicGroup::CastToGlsMimicGroup | ( | DisplayObject * | obj | ) |
| static

Casts the Display Object as a GlsMimicGroup NOTE: perform an isNULL check on the returned value to ensure the cast was accomplished.

Parameters

  obj | objects to cast

Returns
  GlsMimicGroup the GlsMimicGroup

Exceptions

  CEIException |

## ◆ DrawMimicGroupPolygon() [1/2]

bool GlsMimicGroup::DrawMimicGroupPolygon | ( |  | ) |

Whether or not an mimic polygon will be drawn.

Returns
  true if an mimic polygon will be drawn.

## ◆ DrawMimicGroupPolygon() [2/2]

void GlsMimicGroup::DrawMimicGroupPolygon | ( | bool | draw | ) |

Set whether or not an mimic polygon will be drawn.

Parameters

  draw | true if an mimic polygon will be drawn.

## ◆ GenerateMipMaps() [1/2]

bool GlsMimicGroup::GenerateMipMaps | ( |  | ) |

Whether or not the mimic will generate mip maps.

Returns
  true if the mimic will generate mip maps.

## ◆ GenerateMipMaps() [2/2]

void GlsMimicGroup::GenerateMipMaps | ( | bool | generate | ) |

Set whether or not the mimic will generate mip maps.

Parameters

  generate | true if the mimic will generate mip maps.

## ◆ HasDepthBuffer() [1/2]

bool GlsMimicGroup::HasDepthBuffer | ( |  | ) |

Whether or not the mimic will render a depth buffer.

Returns
  true if the mimic will render a depth buffer.

## ◆ HasDepthBuffer() [2/2]

void GlsMimicGroup::HasDepthBuffer | ( | bool | hasDepthBuffer | ) |

Set whether or not the mimic will render a depth buffer.

Parameters

  hasDepthBuffer | true if the mimic will render a depth buffer.

## ◆ MimicGroupActive() [1/2]

void GlsMimicGroup::MimicGroupActive | ( | bool | value | ) |

Sets if mimic is active for this group.

Parameters

  value | The new mimic value

## ◆ MimicGroupActive() [2/2]

bool GlsMimicGroup::MimicGroupActive | ( | void |  | ) |

Returns
  If mimic is active for this group

## ◆ MimicGroupDepthTest() [1/2]

unsigned char GlsMimicGroup::MimicGroupDepthTest | ( |  | ) |

Accessor for the mimic depth test settings.

Returns
  the depth settings

## ◆ MimicGroupDepthTest() [2/2]

void GlsMimicGroup::MimicGroupDepthTest | ( | unsigned char | depthTestSettings | ) |

Set the mimic depth test settings.

Parameters

  depthTestSettings | the depth settings

## ◆ ShowOutline() [1/2]

void GlsMimicGroup::ShowOutline | ( | bool | value | ) |

Sets if clip region should always be drawn in the editor.

Parameters

  value | The new show value

## ◆ ShowOutline() [2/2]

bool GlsMimicGroup::ShowOutline | ( | void |  | ) |

Returns
  If clip region should always be drawn in the editor

## ◆ TextureHeight() [1/2]

unsigned int GlsMimicGroup::TextureHeight | ( |  | ) |

Accessor for the mimic texture height.

Returns
  the height, in pixels, of the mimic texture.

## ◆ TextureHeight() [2/2]

void GlsMimicGroup::TextureHeight | ( | unsigned int | textureHeight | ) |

Set the mimic texture height.

Parameters

  textureHeight | the height, in pixels, of the mimic texture.

## ◆ TextureWidth() [1/2]

unsigned int GlsMimicGroup::TextureWidth | ( |  | ) |

Accessor for the mimic texture width.

Returns
  the witdh, in pixels, of the mimic texture.

## ◆ TextureWidth() [2/2]

void GlsMimicGroup::TextureWidth | ( | unsigned int | textureWidth | ) |

Set the mimic texture width.

Parameters

  textureWidth | the witdh, in pixels, of the mimic texture.

## ◆ TopRightCorner() [1/2]

void GlsMimicGroup::TopRightCorner | ( | Vector & | value | ) |

Sets new top right corner for the clip region.

Parameters

  value | The new top right corner coordinate

## ◆ TopRightCorner() [2/2]

Vector GlsMimicGroup::TopRightCorner | ( | void |  | ) |

Returns
  Gets top right corner of clip region

The documentation for this class was generated from the following file:

- GlsMimicGroup.i